Fixing test scripts.
diff --git a/tools/test/bin/onos-check-logs b/tools/test/bin/onos-check-logs
new file mode 100755
index 0000000..19091ec
--- /dev/null
+++ b/tools/test/bin/onos-check-logs
@@ -0,0 +1,13 @@
+#!/bin/bash
+#-------------------------------------------------------------------------------
+# Checks the logs of the remote ONOS instance and makes sure they are clean.
+#-------------------------------------------------------------------------------
+
+[ ! -d "$ONOS_ROOT" ] && echo "ONOS_ROOT is not defined" >&2 && exit 1
+. $ONOS_ROOT/tools/build/envDefaults
+
+remote=$ONOS_USER@${1:-$OCI}
+
+LOG=$ONOS_INSTALL_DIR/log/karaf.log
+
+ssh $remote "egrep 'ERROR|Exception' $LOG"